Subject: bug#65722: closed (Re: bug#65722: Bug in your grep tool)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Sep 2023 06:18:02 +0000

Your bug report

#65722: Bug in your grep tool

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65722: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65722
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65722: Bug in your grep tool
From: Paul Eggert <[email-masked]>
To: Seth David Schoen <[email-masked]>, Eduard Mironenko <[email-masked]>
Cc: [email-masked]
Date: Sun, 3 Sep 2023 23:16:56 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2023-09-03 21:51, Seth David Schoen wrote:
> You submitted this bug to the GNU grep project, but based on your man
> page excerpt, the version of grep on your system is not actually GNU
> grep, but rather some form of BSD grep (a different implementation with
> a different code base).

Thanks for following up. With the understanding that this bug report is 
not about GNU grep, I'm closing the bug report. We can reopen it later 
if I'm wrong.

> It would be helpful to have copy-and-pasted textual output in your
> submission instead of screenshot images.  The screenshots don't
> confirm whether you might have accidentally typed a lookalike character

Yes, plus people like me whose email clients render only text don't see 
the screenshots.

Subject: Bug in your grep tool
From: Eduard Mironenko <[email-masked]>
To: [email-masked]
Date: Sun, 3 Sep 2023 19:36:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I used grep tool to find a simple keyword in one of my repositories but the
tool could not find anything:

But the repository does contain a file with the specific keyword:

Is there something wrong with grep like a bug that needs to be fixed? I
checked the usage page for a macbook:

 it seems to be correct so what gives about this error?

Regards

Edd